Package be.cin.mycarenet.esb.common.v2.chap4

# Class OrigineType

java.lang.Object
be.cin.mycarenet.esb.common.v2.chap4.OrigineType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class OrigineType extends Object implements Serializable
Information about the originator of the request.

Java class for OrigineType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrigineType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Package" type="{urn:be:cin:mycarenet:esb:common:v2}PackageType"/>
             <element name="CareProvider" type="{urn:be:cin:mycarenet:esb:common:v2}CareProviderType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrigineType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareProviderType`
  `getCareProvider()`
  The care provider for which the request was sent.
  `PackageType`
  `getPackage()`
  The package that the originator used to send the request.
  `void`
  `setCareProvider(CareProviderType value)`
  Sets the value of the careProvider property.
  `void`
  `setPackage(PackageType value)`
  Sets the value of the package property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrigineType

    public OrigineType()

- ## Method Details

  - ### getPackage

    public PackageType getPackage()
    The package that the originator used to send the request.
    Returns:
      possible object is `PackageType`

  - ### setPackage

    public void setPackage(PackageType value)
    Sets the value of the package property.
    Parameters:
      `value` - allowed object is `PackageType`
    See Also:
      - `getPackage()`

  - ### getCareProvider

    public CareProviderType getCareProvider()
    The care provider for which the request was sent. This is not necessary the party that sent the request, but it can be.
    Returns:
      possible object is `CareProviderType`

  - ### setCareProvider

    public void setCareProvider(CareProviderType value)
    Sets the value of the careProvider property.
    Parameters:
      `value` - allowed object is `CareProviderType`
    See Also:
      - `getCareProvider()`